> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# NFTs Collection Tickers by ID

> To query the latest floor price and 24hr volume of a NFT collection, on each NFT marketplace, e.g. OpenSea and Blur

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="30 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.nfts.tickers.get('pudgy-penguins');

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.nfts.tickers.get("pudgy-penguins")

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /nfts/{id}/tickers
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /nfts/{id}/tickers:
    get:
      summary: NFTs Collection Tickers by ID
      description: >-
        To query the latest floor price and 24hr volume of a NFT collection, on
        each NFT marketplace, e.g. OpenSea and Blur
      operationId: nfts-id-tickers
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            NFT collection ID. 
            *refers to [`/nfts/list`](/reference/nfts-list).
          schema:
            type: string
            default: pudgy-penguins
      responses:
        '200':
          description: NFT collection tickers data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTTickers'
              example:
                tickers:
                  - floor_price_in_native_currency: 5.57
                    h24_volume_in_native_currency: 4.56
                    native_currency: ethereum
                    native_currency_symbol: ETH
                    updated_at: '2026-05-26T17:00:49.982Z'
                    nft_marketplace_id: opensea
                    name: OpenSea
                    image: >-
                      https://coin-images.coingecko.com/nft_marketplaces/images/1/small/Opensea.png?1686193426
                    nft_collection_url: https://opensea.io/collection/pudgypenguins
                  - floor_price_in_native_currency: 4.67
                    h24_volume_in_native_currency: 28.12
                    native_currency: ethereum
                    native_currency_symbol: ETH
                    updated_at: '2026-05-26T17:00:49.862Z'
                    nft_marketplace_id: blur
                    name: Blur
                    image: >-
                      https://coin-images.coingecko.com/nft_marketplaces/images/20/small/blur_logo.jpg?1690993708
                    nft_collection_url: https://blur.io/collection/pudgypenguins
components:
  schemas:
    NFTTickers:
      type: object
      required:
        - tickers
      properties:
        tickers:
          type: array
          items:
            type: object
            required:
              - floor_price_in_native_currency
              - h24_volume_in_native_currency
              - native_currency
              - native_currency_symbol
              - updated_at
              - nft_marketplace_id
              - name
              - image
              - nft_collection_url
            properties:
              floor_price_in_native_currency:
                type: number
                description: NFT collection floor price in native currency
              h24_volume_in_native_currency:
                type: number
                description: NFT collection volume in 24 hours in native currency
              native_currency:
                type: string
                description: NFT collection native currency
              native_currency_symbol:
                type: string
                description: NFT collection native currency symbol
              updated_at:
                type: string
                description: Last updated time
              nft_marketplace_id:
                type: string
                description: NFT marketplace ID
              name:
                type: string
                description: NFT marketplace name
              image:
                type: string
                description: NFT marketplace image URL
              nft_collection_url:
                type: string
                description: NFT collection URL in the NFT marketplace
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````